﻿using System.Windows;
using Infragistics.Windows.Chart;

namespace SamplesBrowser.Samples.XamChart
{
	/// <summary>
	/// Interaction logic for Basic_Chart.xaml
	/// </summary>


    public partial class ChartHitTest : System.Windows.Controls.Page
    {
		public ChartHitTest()
        {
            InitializeComponent();
			HitTestChart.MouseDoubleClick += new System.Windows.Input.MouseButtonEventHandler(HitTestChart_MouseDoubleClick);

			view3d.SelectionChanged += new System.Windows.Controls.SelectionChangedEventHandler(view3d_SelectionChanged);
		}

		void view3d_SelectionChanged(object sender, System.Windows.Controls.SelectionChangedEventArgs e)
		{
			HitTestChart.View3D = !HitTestChart.View3D;
			e.Handled = true;
		}

	    void HitTestChart_MouseDoubleClick(object sender, System.Windows.Input.MouseButtonEventArgs e)
	    {
			e.Handled = true;

	        HitTestArgs htArgs = HitTestChart.HitTest(e);

	        if (null != htArgs.SelectedObject)
	        {
	            MessageBox.Show(string.Format("Selected Object is: {0}", htArgs.SelectedObject.GetType().FullName));
	        }
	        else
	        {
	            MessageBox.Show("Selected Object is: null.");
	        }

	    }
	}
}
